Name: fprint_demo
Version: 0.4
Release: %mkrel 7
Summary: Simple GTK+ application to demonstrate and test libfprint's capabilities
License: GPLv2
URL:    http://www.freedesktop.org/wiki/Software/fprint/fprint_demo
# Source by wget https://github.com/dsd/fprint_demo/tarball/v0.4
# then mv v0.4 fprint-0.4.tar.gz
Source: fprint-0.4.tar.gz
Patch0: fprint_demo-0.4-printf-vulnerability.patch
BuildRequires: libfprint-devel
BuildRequires: pkgconfig(gtk+-2.0)
Group: System/Configuration/Other
%rename fprint-demo

%description
fprint_demo is a simple GTK+ application to demonstrate and test libfprint's
capabilities. It is written in C and licensed under the GNU GPL v2.

It provides access to many of the features offered by the backing library,
libfprint.

%prep
%setup -q -n dsd-fprint_demo-f576f8c
%patch0 -p1

%build
./autogen.sh
%configure
%make

%install
%makeinstall_std


%files
%{_bindir}/*


%changelog

* Tue Jan 31 2012 malo <malo> 0.4-7.mga2
+ Revision: 203591
- fix BuildRequires to gtk+2.0-devel
- renaming the package back to fprint_demo, per naming policy

* Mon Jan 30 2012 malo <malo> 0.4-6.mga2
+ Revision: 203150
- Bump release after renaming the package.
- Renaming into fprint-demo since '_' is not allowed.
- renaming fprint_demo in fprint-demo since '_' is not allowed

* Sun Jan 29 2012 malo <malo> 0.4-5.mga2
+ Revision: 203031
- spec clean-up after import from Mandriva
- added patch for format string vulnerability.
- imported package fprint_demo


* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-4mdv2009.0
+ Revision: 245333
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-2mdv2008.1
+ Revision: 168496
- rebuild
- fix summary
- fix no-buildroot-tag

* Sat Dec 08 2007 Buchan Milne <bgmilne@mandriva.org> 0.4-1mdv2008.1
+ Revision: 116501
- Fix group
- import fprint_demo


